ElGamalReceiver (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.key.dh.ElGamalReceiver,ElGamalReceiver class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.key.dh
Class ElGamalReceiver

    java.lang.Object
      |
      +--gnu.crypto.key.BaseKeyAgreementParty
            |
            +--gnu.crypto.key.dh.ElGamalKeyAgreement
                  |
                  +--gnu.crypto.key.dh.ElGamalReceiver

All Implemented Interfaces:
  IKeyAgreementParty

public class ElGamalReceiver
extends ElGamalKeyAgreement

This implementation is the receiver's part of the ElGamal key agreement exchange (B in [HAC]).

See Also:
  `ElGamalKeyAgreement`

Field Summary

Fields inherited from class gnu.crypto.key.dh.ElGamalKeyAgreement
`KA_ELGAMAL_RECIPIENT_PRIVATE_KEY, KA_ELGAMAL_RECIPIENT_PUBLIC_KEY, SOURCE_OF_RANDOMNESS, ZZ`

Fields inherited from class gnu.crypto.key.BaseKeyAgreementParty
`complete, initialised, irnd, name, rnd, step, TWO`

Constructor Summary
`ElGamalReceiver()`

Method Summary
`protected void` | `engineInit(java.util.Map attributes)`
`protected OutgoingMessage` | `engineProcessMessage(IncomingMessage in)`

Methods inherited from class gnu.crypto.key.dh.ElGamalKeyAgreement
`engineReset, engineSharedSecret`

Methods inherited from class gnu.crypto.key.BaseKeyAgreementParty
`getSharedSecret, init, isComplete, name, nextRandomBytes, processMessage, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalReceiver

    public ElGamalReceiver()

Method Detail

### engineInit

    protected void engineInit(java.util.Map attributes)
                       throws KeyAgreementException

  Specified by:
    `engineInit` in class `BaseKeyAgreementParty`
    `KeyAgreementException`

### engineProcessMessage

    protected OutgoingMessage engineProcessMessage(IncomingMessage in)
                                            throws KeyAgreementException

  Specified by:
    `engineProcessMessage` in class `BaseKeyAgreementParty`
    `KeyAgreementException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.